package electrosphere.renderer.actor;

/**
 * Masks a shader on a mesh with another shader
 */
public class ActorShaderMask {
    
    //the model name
    String modelName;
    //the mesh name
    String meshName;
    //the vertex shader
    String vertexShaderPath;
    //the fragment shader
    String fragmentShaderPath;

    /**
     * Constructor
     * @param modelName
     * @param meshName
     * @param vertexShaderPath
     * @param fragmentShaderPath
     */
    public ActorShaderMask(String modelName, String meshName, String vertexShaderPath, String fragmentShaderPath){
        this.modelName = modelName;
        this.meshName = meshName;
        this.vertexShaderPath = vertexShaderPath;
        this.fragmentShaderPath = fragmentShaderPath;
    }

    /**
     * Gets the model name
     * @return the model name
     */
    public String getModelName(){
        return modelName;
    }

    /**
     * Gets the mesh name
     * @return the mesh name
     */
    public String getMeshName(){
        return meshName;
    }

    /**
     * Gets the vertex shader path
     * @return the vertex shader path
     */
    public String getVertexShaderPath(){
        return vertexShaderPath;
    }

    /**
     * Gets the fragment shader path 
     * @return the fragment shader path
     */
    public String getFragmentShaderPath(){
        return fragmentShaderPath;
    }

}
